package com.zj365.mime.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.EnterpriseInfoHomeBean
import com.xty.network.model.RespBody

class EnterpriseInformationVm : BaseVm() {

    val enterpriseInfoHomeLiveData by lazy { MutableLiveData<RespBody<MutableList<EnterpriseInfoHomeBean>>>() }

    fun getEnterpriseInformationHomeList(){
        startHttp {
            var response=apiInterface().getEnterpriseInfoHomeList()
            response.getCodeStatus(enterpriseInfoHomeLiveData,nowData)
        }
    }

}